[arch-commits] Commit in xmahjongg/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 22 01:05:35 EDT 2009


    Date: Wednesday, April 22, 2009 @ 01:05:35
  Author: eric
Revision: 36412

Merged revisions 356,7591,36408 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xmahjongg/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7591 | ronald | 2008-08-03 07:29:23 -0400 (Sun, 03 Aug 2008) | 1 line
  
  fix license & add arch field
........
  r36408 | eric | 2009-04-22 00:44:30 -0400 (Wed, 22 Apr 2009) | 2 lines
  
  upgpkg: xmahjongg 3.7-3
      Changed gcc depends to gcc-libs, FHS man pages
........

Modified:
  xmahjongg/repos/extra-i686/	(properties)
  xmahjongg/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)


Property changes on: xmahjongg/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xmahjongg/trunk:1
   + /xmahjongg/trunk:1-36411

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-22 04:48:21 UTC (rev 36411)
+++ extra-i686/PKGBUILD	2009-04-22 05:05:35 UTC (rev 36412)
@@ -4,16 +4,18 @@
 
 pkgname=xmahjongg
 pkgver=3.7
-pkgrel=2
+pkgrel=3
 pkgdesc="Mahjongg game for X-Window"
-depends=('gcc' 'libsm' 'libx11')
+arch=('i686' 'x86_64')
+url="http://www.lcdf.org/xmahjongg/"
+license=('GPL')
+depends=('gcc-libs' 'libsm' 'libx11')
 source=(http://www.lcdf.org/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('9db5bf1b329b410220b7976cd9b3d374')
-url="http://www.lcdf.org/xmahjongg/"
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list